Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jmx.support
Class ObjectNameManager

    java.lang.Object
      org.springframework.jmx.support.ObjectNameManager

    public class ObjectNameManager

extends java.lang.Object

Helper class for the creation of `ObjectName` instances.

Since:
  1.2
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  `ObjectName.getInstance(String)`

Constructor Summary
`ObjectNameManager()`

Method Summary
`static javax.management.ObjectName` | `getInstance(java.lang.Object objectName)` Retrieve the `ObjectName` instance corresponding to the supplied name.
`static javax.management.ObjectName` | `getInstance(java.lang.String objectName)` Retrieve the `ObjectName` instance corresponding to the supplied name.
`static javax.management.ObjectName` | `getInstance(java.lang.String domainName, java.util.Hashtable<java.lang.String,java.lang.String> properties)` Retrieve an `ObjectName` instance with the specified domain name and the supplied key/name properties.
`static javax.management.ObjectName` | `getInstance(java.lang.String domainName, java.lang.String key, java.lang.String value)` Retrieve an `ObjectName` instance for the specified domain and a single property with the supplied key and value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectNameManager

    public ObjectNameManager()

Method Detail

### getInstance

    public static javax.management.ObjectName getInstance(java.lang.Object objectName)
                                                   throws javax.management.MalformedObjectNameException

  Retrieve the `ObjectName` instance corresponding to the supplied name.

  Parameters:
    `objectName` - the `ObjectName` in `ObjectName` or `String` format
  Returns:
    the `ObjectName` instance
  Throws:
    `javax.management.MalformedObjectNameException` - in case of an invalid object name specification
  See Also:
    `ObjectName.ObjectName(String)`, `ObjectName.getInstance(String)`

### getInstance

    public static javax.management.ObjectName getInstance(java.lang.String objectName)
                                                   throws javax.management.MalformedObjectNameException

  Retrieve the `ObjectName` instance corresponding to the supplied name.

  Parameters:
    `objectName` - the `ObjectName` in `String` format
  Returns:
    the `ObjectName` instance
  Throws:
    `javax.management.MalformedObjectNameException` - in case of an invalid object name specification
  See Also:
    `ObjectName.ObjectName(String)`, `ObjectName.getInstance(String)`

### getInstance

    public static javax.management.ObjectName getInstance(java.lang.String domainName,
                                                          java.lang.String key,
                                                          java.lang.String value)
                                                   throws javax.management.MalformedObjectNameException

  Retrieve an `ObjectName` instance for the specified domain and a single property with the supplied key and value.

  Parameters:
    `domainName` - the domain name for the `ObjectName`
    `key` - the key for the single property in the `ObjectName`
    `value` - the value for the single property in the `ObjectName`
  Returns:
    the `ObjectName` instance
  Throws:
    `javax.management.MalformedObjectNameException` - in case of an invalid object name specification
  See Also:
    `ObjectName.ObjectName(String, String, String)`, `ObjectName.getInstance(String, String, String)`

### getInstance

    public static javax.management.ObjectName getInstance(java.lang.String domainName,
                                                          java.util.Hashtable<java.lang.String,java.lang.String> properties)
                                                   throws javax.management.MalformedObjectNameException

  Retrieve an `ObjectName` instance with the specified domain name and the supplied key/name properties.

  Parameters:
    `domainName` - the domain name for the `ObjectName`
    `properties` - the properties for the `ObjectName`
  Returns:
    the `ObjectName` instance
  Throws:
    `javax.management.MalformedObjectNameException` - in case of an invalid object name specification
  See Also:
    `ObjectName.ObjectName(String, java.util.Hashtable)`, `ObjectName.getInstance(String, java.util.Hashtable)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD